#include "XOPStandardHeaders.h"			// Include ANSI headers, Mac headers, IgorXOP.h, XOP.h and XOPSupport.h
#include <string>

std::string base64_encode(unsigned char const* , unsigned int len);
std::string base64_decode(std::string const& s);

/*
in encode/decode.cpp
*/
#pragma pack(2)	// All structures passed to Igor are two-byte aligned.
typedef struct base64encoderStruct {
	Handle src;
	Handle dest;			//the string containing the content
}base64encoderStruct, *base64encoderStructPtr;
#pragma pack()

int base64encode (base64encoderStructPtr p);
int base64decode (base64encoderStructPtr p);
int URLencode (base64encoderStructPtr p);
int md5hash (base64encoderStructPtr p);